Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005376 [JEDI VCL] 03 Donations feature N/A 2010-10-25 20:01 2012-02-29 16:53
Reporter masonwheeler View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0005376: Unload notification events for JvPlugin
Description I recently found that, due to a quirk in the way LoadPackage initializes
contained units, I needed to add some specialized package-management
capabilities to my program. It was pretty easy to implement on top of
JvPlugin, except for one minor issue: I had no notification when a plugin
was being unloaded! We have event handlers that fire when a package is
loaded, but not when one is unloaded.

So I wrote up a little patch for it to add unload event handlers.
Submitting it here per the MPL.
Additional Information
Tags No tags attached.
Attached Files ? file icon jvcl.diff [^] (2,460 bytes) 2010-10-25 20:01

- Relationships

-  Notes
(0018040)
obones (administrator)
2010-11-09 14:22

Thank you, this is now in SVN

- Issue History
Date Modified Username Field Change
2010-10-25 20:01 masonwheeler New Issue
2010-10-25 20:01 masonwheeler File Added: jvcl.diff
2010-11-09 14:22 obones Note Added: 0018040
2010-11-09 14:22 obones Status new => resolved
2010-11-09 14:22 obones Fixed in Version => Daily / SVN
2010-11-09 14:22 obones Resolution open => fixed
2010-11-09 14:22 obones Assigned To => obones
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker